Bug 1364543 - 3.6 engine-setup while updating 3.5 HE VM installation instructs the opposite than documentation
Summary: 3.6 engine-setup while updating 3.5 HE VM installation instructs the opposite...
Keywords:
Status: CLOSED DUPLICATE of bug 1328382
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: rhev-docs@redhat.com
QA Contact: rhev-docs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 16:16 UTC by Jiri Belka
Modified: 2019-04-28 14:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 04:51:05 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description Jiri Belka 2016-08-05 16:16:42 UTC
Description of problem:

I'm updating 3.5 SHE env with EL6 hosts and documentation says:

$url/ovirt-engine/docs/manual/en_US/html/Self-Hosted_Engine_Guide/Upgrading_the_Self-Hosted_Engine_from_6_to_7.html

~~~
6.3. Upgrading a RHEL-Based Self-Hosted Engine from Red Hat Enterprise Linux 6 Hosts to 7 Hosts

The upgrade process involves the following key steps:

* Upgrade the Manager virtual machine to Red Hat Enterprise Virtualization 3.6.
* Upgrade all version 6 hosts to version 7. Re-run hosted-engine --deploy on all self-hosted engine hosts.
* Upgrade the self-hosted engine hosts to Red Hat Enterprise Virtualization 3.6.
* After all hosts in the cluster and the Manager virtual machine have been updated, change the cluster compatibility version to 3.6.
~~~

But while following above procedure, 3.6 engine-setup says:

~~~
...
[ INFO  ] Cleaning stale zombie tasks and commands
          It seems like this engine is self-hosted, and the operating system of some of its hosts is el6 or a variant. Please upgrade the hosts to el7 before upgrading the engine to 3.6.
          Please check the log file for more details.
          Replying "No" will abort Setup.
...
~~~

Thus is it contradictive, exact opposite. IMO the documentation is right, at least in EL6/7 context (we need to EL6/EL7 in cluster, the cluster where HE VM is running).

Version-Release number of selected component (if applicable):
3.6.8.1-0.1.el6

How reproducible:
100%

Steps to Reproduce:
1. have 3.5 SHE env
2. update rpms inside HE VM to 3.6
3. engine-setup

Actual results:
engine-setup instructs exactly opposite to docs

Expected results:
login should match

Additional info:

Comment 2 Sandro Bonazzola 2016-09-01 07:26:32 UTC
Is this still relevant in 4.0?

Comment 3 Jiri Belka 2016-09-07 08:05:43 UTC
(In reply to Sandro Bonazzola from comment #2)
> Is this still relevant in 4.0?

IMO this is 3.6 only specific.


Note You need to log in before you can comment on or make changes to this bug.